﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace wpf_Chart_570742
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new PlotInfo[] 
            {
                new PlotInfo { Date = new DateTime(2012, 1, 1), YVal = 17, }, 
                new PlotInfo { Date = new DateTime(2012, 1, 2), YVal = 16, }, 
                new PlotInfo { Date = new DateTime(2012, 1, 3), YVal = 11, }, 
                new PlotInfo { Date = new DateTime(2012, 1, 7), YVal = 17, }, 
                new PlotInfo { Date = new DateTime(2012, 1, 8), YVal = 14, }, 
            };
        }
    }

    public class PlotInfo
    {
        public DateTime Date { get; set; }
        public double YVal { get; set; }
    }

    public class LabelFormatConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            TickPoint tick = value as TickPoint;

            if (tick == null)
                return value;

            if (tick.LabelFormat == "ddd dd")
            {
                DateTime date = DateTime.FromOADate(tick.Value);
                return string.Format("A"); // B C D ..
            }

            return tick.Value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
